#include <iostream>
using namespace std;
int main(){
long long a,b,c,d,e,kutiq=1,i=0;
cin>>a>>b>>c>>d>>e;
swap(a,d);
swap(b,c);
int z=e;
while(a>0 || b>0 || c>0 || d>0)
{
    i++;
    if(i==1)
    {  if(e>a){
        e-=a;
        a=0;
    }else{
    kutiq++;
    e=z;
    a=0;
    }
    }
    if(i==2)
    {
        if(e>b){
        e-=b;
        b=0;
    }else
    kutiq++;
    e=z;
    b=0;
    }
    if(i==3)
    {
        if(e>c){
        e-=c;
        c=0;
    }else
    kutiq++;
    e=z;
    c=0;
    }
     if(i==4)
    {
        if(e>d){
        e-=d;
        d=0;
    }else
    kutiq++;
    e=z;
    d=0;
    }

}
cout<<kutiq;
return 0;
}
